Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slazq3

    java.lang.Object
      org.netlib.lapack.Slazq3

    public class Slazq3

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAZQ3 checks for deflation, computes a shift (TAU) and calls dqds.
     *  In case of failure it changes shifts, and tries again until output
     *  is positive.
     *
     *  Arguments
     *  =========
     *
     *  I0     (input) INTEGER
     *         First index.
     *
     *  N0     (input) INTEGER
     *         Last index.
     *
     *  Z      (input) REAL array, dimension ( 4*N )
     *         Z holds the qd array.
     *
     *  PP     (input) INTEGER
     *         PP=0 for ping, PP=1 for pong.
     *
     *  DMIN   (output) REAL
     *         Minimum value of d.
     *
     *  SIGMA  (output) REAL
     *         Sum of shifts used in current segment.
     *
     *  DESIG  (input/output) REAL
     *         Lower order part of SIGMA
     *
     *  QMAX   (input) REAL
     *         Maximum value of q.
     *
     *  NFAIL  (output) INTEGER
     *         Number of times shift was too big.
     *
     *  ITER   (output) INTEGER
     *         Number of iterations.
     *
     *  NDIV   (output) INTEGER
     *         Number of divisions.
     *
     *  IEEE   (input) LOGICAL
     *         Flag for IEEE or non IEEE arithmetic (passed to SLASQ5).
     *
     *  TTYPE  (input/output) INTEGER
     *         Shift type.  TTYPE is passed as an argument in order to save
     *         its value between calls to SLAZQ3
     *
     *  DMIN1  (input/output) REAL
     *  DMIN2  (input/output) REAL
     *  DN     (input/output) REAL
     *  DN1    (input/output) REAL
     *  DN2    (input/output) REAL
     *  TAU    (input/output) REAL
     *         These are passed as arguments in order to save their values
     *         between calls to SLAZQ3
     *
     *  This is a thread safe version of SLASQ3, which passes TTYPE, DMIN1,
     *  DMIN2, DN, DN1. DN2 and TAU through the argument list in place of
     *  declaring them in a SAVE statment.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slazq3()`

Method Summary
`static void` | `slazq3(int i0, intW n0, float[] z, int _z_offset, int pp, floatW dmin, floatW sigma, floatW desig, floatW qmax, intW nfail, intW iter, intW ndiv, boolean ieee, intW ttype, floatW dmin1, floatW dmin2, floatW dn, floatW dn1, floatW dn2, floatW tau)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slazq3

    public Slazq3()

Method Detail

### slazq3

    public static void slazq3(int i0,
                              intW n0,
                              float[] z,
                              int _z_offset,
                              int pp,
                              floatW dmin,
                              floatW sigma,
                              floatW desig,
                              floatW qmax,
                              intW nfail,
                              intW iter,
                              intW ndiv,
                              boolean ieee,
                              intW ttype,
                              floatW dmin1,
                              floatW dmin2,
                              floatW dn,
                              floatW dn1,
                              floatW dn2,
                              floatW tau)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD